package auth_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type UserauthAuthstatusRequest struct {
	// <ext>core:true</ext> 【认证id】认证id 【作用】 查询用户具体某一条认证链接的认证状态
	AuthId string `json:"authId"`
}

func (obj UserauthAuthstatusRequest) GetUrl() string {
	return "/userauth/authStatus"
}

func (obj UserauthAuthstatusRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
